<mat-sidenav-container class="example-container" position="end">
  <div class="container">
    <div class="search-wrapper">
      <div class="search-bar-wrapper">
        <app-search-bar
          (searchCriteria)="searchByTags($event)"
        ></app-search-bar>
      </div>
    </div>

    <div class="grid-wrapper">
      <div class="song-grid">
        <app-song
          *ngFor="let song of songs; let i = index"
          [song]="song"
          (click)="drawer.toggle(); selectedIndex(i)"
        ></app-song>
      </div>
    </div>
  </div>

  <mat-sidenav #drawer class="example-sidenav" mode="over" position="end">
    <app-song [song]="songs[songIndex]"></app-song>
    <div class="details-wrapper">
      <h3 class="details-header">Details Here</h3>
      <p>Released : May 2020</p>
      <p>.....</p>
    </div>
    <div class="actions">
      <mat-icon class="action-icon">favorite_border</mat-icon>
      <mat-icon class="action-icon">bookmark</mat-icon>
      <mat-icon class="action-icon">shopping_cart</mat-icon>
    </div>
  </mat-sidenav>
</mat-sidenav-container>
